Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatFolder

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatFolder

Enclosing class:
  TdApi

public static final class TdApi.ChatFolder extends TdApi.Object
Represents a folder for user chats.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`colorId`
The identifier of the chosen color for the chat folder icon; from -1 to 6.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`excludeArchived`
True, if archived chats need to be excluded.
`long[]`
`excludedChatIds`
The chat identifiers of always excluded chats in the folder.
`boolean`
`excludeMuted`
True, if muted chats need to be excluded.
`boolean`
`excludeRead`
True, if read chats need to be excluded.
`TdApi.ChatFolderIcon`
`icon`
The chosen icon for the chat folder; may be null.
`boolean`
`includeBots`
True, if bots need to be included.
`boolean`
`includeChannels`
True, if channels need to be included.
`boolean`
`includeContacts`
True, if contacts need to be included.
`long[]`
`includedChatIds`
The chat identifiers of always included chats in the folder.
`boolean`
`includeGroups`
True, if basic groups and supergroups need to be included.
`boolean`
`includeNonContacts`
True, if non-contact users need to be included.
`boolean`
`isShareable`
True, if at least one link has been created for the folder.
`long[]`
`pinnedChatIds`
The chat identifiers of pinned chats in the folder.
`String`
`title`
The title of the folder; 1-12 characters without line feeds.

## Constructor Summary

Constructors
Constructor
Description
`ChatFolder()`
Represents a folder for user chats.
`ChatFolder(DataInput input)`
Represents a folder for user chats.
`ChatFolder(String title, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, long[] pinnedChatIds, long[] includedChatIds, long[] excludedChatIds, boolean excludeMuted, boolean excludeRead, boolean excludeArchived, boolean includeContacts, boolean includeNonContacts, boolean includeBots, boolean includeGroups, boolean includeChannels)`
Represents a folder for user chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
The title of the folder; 1-12 characters without line feeds.

### icon

public TdApi.ChatFolderIcon icon
The chosen icon for the chat folder; may be null. If null, use getChatFolderDefaultIconName to get default icon name for the folder.

### colorId

public int colorId
The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is didabled.

### isShareable

public boolean isShareable
True, if at least one link has been created for the folder.

### pinnedChatIds

public long[] pinnedChatIds
The chat identifiers of pinned chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.

### includedChatIds

public long[] includedChatIds
The chat identifiers of always included chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.

### excludedChatIds

public long[] excludedChatIds
The chat identifiers of always excluded chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") always excluded non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.

### excludeMuted

public boolean excludeMuted
True, if muted chats need to be excluded.

### excludeRead

public boolean excludeRead
True, if read chats need to be excluded.

### excludeArchived

public boolean excludeArchived
True, if archived chats need to be excluded.

### includeContacts

public boolean includeContacts
True, if contacts need to be included.

### includeNonContacts

public boolean includeNonContacts
True, if non-contact users need to be included.

### includeBots

public boolean includeBots
True, if bots need to be included.

### includeGroups

public boolean includeGroups
True, if basic groups and supergroups need to be included.

### includeChannels

public boolean includeChannels
True, if channels need to be included.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatFolder

public ChatFolder()
Represents a folder for user chats.

### ChatFolder

public ChatFolder(String title, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, long[] pinnedChatIds, long[] includedChatIds, long[] excludedChatIds, boolean excludeMuted, boolean excludeRead, boolean excludeArchived, boolean includeContacts, boolean includeNonContacts, boolean includeBots, boolean includeGroups, boolean includeChannels)
Represents a folder for user chats.

Parameters:
  `title` - The title of the folder; 1-12 characters without line feeds.
  `icon` - The chosen icon for the chat folder; may be null. If null, use getChatFolderDefaultIconName to get default icon name for the folder.
  `colorId` - The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is didabled.
  `isShareable` - True, if at least one link has been created for the folder.
  `pinnedChatIds` - The chat identifiers of pinned chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.
  `includedChatIds` - The chat identifiers of always included chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") pinned and always included non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.
  `excludedChatIds` - The chat identifiers of always excluded chats in the folder. There can be up to getOption("chat_folder_chosen_chat_count_max") always excluded non-secret chats and the same number of secret chats, but the limit can be increased with Telegram Premium.
  `excludeMuted` - True, if muted chats need to be excluded.
  `excludeRead` - True, if read chats need to be excluded.
  `excludeArchived` - True, if archived chats need to be excluded.
  `includeContacts` - True, if contacts need to be included.
  `includeNonContacts` - True, if non-contact users need to be included.
  `includeBots` - True, if bots need to be included.
  `includeGroups` - True, if basic groups and supergroups need to be included.
  `includeChannels` - True, if channels need to be included.

### ChatFolder

public ChatFolder(DataInput input) throws IOException
Represents a folder for user chats.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`